Loading...
Searching...
No Matches
BALL::VIEW::FrameBufferFormat Class Reference

`#include <BALL/VIEW/RENDERING/renderTarget.h>`

## Public Member Functions

| FrameBufferFormat ()
| FrameBufferFormat (Size width, Size height, const PixelFormat &pixelFormat)
| FrameBufferFormat (Size width, Size height, Size pitch, const PixelFormat &pixelFormat)
bool | operator== (const FrameBufferFormat &format) const
bool | operator!= (const FrameBufferFormat &format) const
bool | isValid () const
unsigned int | getWidth () const
void | setWidth (unsigned int width)
unsigned int | getHeight () const
void | setHeight (unsigned int height)
unsigned int | getPitch () const
void | setPitch (unsigned int pitch)
const PixelFormat & | getPixelFormat () const
void | setPixelFormat (const PixelFormat &pixelFormat)
size_t | computeSize () const
void | resize (Size newWidth, Size newHeight)
const FrameBufferFormat | resized (Size newWidth, Size newHeight) const

## Detailed Description

This is used by the RenderTarget to specify in which formats it can provide buffers.

Definition at line 44 of file renderTarget.h.

## Constructor & Destructor Documentation

## FrameBufferFormat() [1/3]

BALL::VIEW::FrameBufferFormat::FrameBufferFormat | ( |  | ) |

inline

Constructs empty invalid framebuffer format

Definition at line 49 of file renderTarget.h.

## FrameBufferFormat() [2/3]

BALL::VIEW::FrameBufferFormat::FrameBufferFormat | ( | Size | width,
|  | Size | height,
|  | const PixelFormat & | pixelFormat )

inline

Definition at line 56 of file renderTarget.h.

## FrameBufferFormat() [3/3]

BALL::VIEW::FrameBufferFormat::FrameBufferFormat | ( | Size | width,
|  | Size | height,
|  | Size | pitch,
|  | const PixelFormat & | pixelFormat )

inline

Definition at line 65 of file renderTarget.h.

## Member Function Documentation

## computeSize()

size_t BALL::VIEW::FrameBufferFormat::computeSize | ( |  | ) | const

inline

Computes size of the framebuffer with this format: size = pitch * height

Definition at line 123 of file renderTarget.h.

## getHeight()

unsigned int BALL::VIEW::FrameBufferFormat::getHeight | ( |  | ) | const

inline

Returns height of buffers in this format, in pixels.

Definition at line 100 of file renderTarget.h.

## getPitch()

unsigned int BALL::VIEW::FrameBufferFormat::getPitch | ( |  | ) | const

inline

Returns actual line width of buffers in this format, in bytes

Definition at line 106 of file renderTarget.h.

## getPixelFormat()

const PixelFormat & BALL::VIEW::FrameBufferFormat::getPixelFormat | ( |  | ) | const

inline

Returns pixel format of buffers in this format

Definition at line 112 of file renderTarget.h.

## getWidth()

unsigned int BALL::VIEW::FrameBufferFormat::getWidth | ( |  | ) | const

inline

Returns width of writeable area of buffers in this format, in pixels.

Definition at line 92 of file renderTarget.h.

## isValid()

bool BALL::VIEW::FrameBufferFormat::isValid | ( |  | ) | const

inline

Definition at line 87 of file renderTarget.h.

## operator!=()

bool BALL::VIEW::FrameBufferFormat::operator!= | ( | const FrameBufferFormat & | format | ) | const

inline

Definition at line 82 of file renderTarget.h.

## operator==()

bool BALL::VIEW::FrameBufferFormat::operator== | ( | const FrameBufferFormat & | format | ) | const

inline

Definition at line 74 of file renderTarget.h.

## resize()

void BALL::VIEW::FrameBufferFormat::resize | ( | Size | newWidth,
|  | Size | newHeight )

inline

Modify width and height of this format

Definition at line 130 of file renderTarget.h.

## resized()

const FrameBufferFormat BALL::VIEW::FrameBufferFormat::resized | ( | Size | newWidth,
|  | Size | newHeight ) const

inline

Returns new FrameBufferFormat where width and height are replaced by specified values.

Definition at line 139 of file renderTarget.h.

## setHeight()

void BALL::VIEW::FrameBufferFormat::setHeight | ( | unsigned int | height | ) |

inline

Sets height of buffers in this format, in pixels.

Definition at line 103 of file renderTarget.h.

## setPitch()

void BALL::VIEW::FrameBufferFormat::setPitch | ( | unsigned int | pitch | ) |

inline

Sets actual line width of buffers in this format, in bytes

Definition at line 109 of file renderTarget.h.

## setPixelFormat()

void BALL::VIEW::FrameBufferFormat::setPixelFormat | ( | const PixelFormat & | pixelFormat | ) |

inline

Sets pixel format of buffers in this format

Definition at line 115 of file renderTarget.h.

## setWidth()

void BALL::VIEW::FrameBufferFormat::setWidth | ( | unsigned int | width | ) |

inline

Sets width of writeable area of buffers in this format, in pixels.

Definition at line 97 of file renderTarget.h.